slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPGetWhichEigenpairs

Returns which portion of the spectrum is to be sought.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetWhichEigenpairs(PEP pep,PEPWhich *which)

Not Collective

### Input Parameter

| pep | - eigensolver context obtained from PEPCreate()

### Output Parameter

| which | - the portion of the spectrum to be sought

### Notes

See PEPSetWhichEigenpairs() for possible values of 'which'.

### See Also

PEPSetWhichEigenpairs(), PEPWhich

### Level

intermediate

### Location

src/pep/interface/pepopts.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages